## blockdomains 0.1

=== Makefile ===
# Distribution Makefile for blockdomains

# Generated files
SBINFILES = blockdomains
BINFILES  = blockdomainsctl
MANFILES  = blockdomains.5 blockdomains.8 blockdomainsctl.8
CFGDIRS   = blocked/ acl/

default: $(SBINFILES) $(MANFILES)

.PHONY: install clean

# Building targets

$(MANFILES): %: doc/%.adoc
	asciidoctor -bmanpage -o $@ $< 

README.html: README.adoc
	asciidoctor -bhtml $<

blockdomains: CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
blockdomains: CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
blockdomains: LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
blockdomains: CFLAGS += -Wall
blockdomains: src/blockdomains.c src/cache.c src/database.c
	$(LINK.c) -o $@ $^ -lnetfilter_queue

# Installation

SBINDIR = $(DESTDIR)/usr/sbin
BINDIR  = $(DESTDIR)/usr/bin
CFGTOP  = $(DESTDIR)/etc/blockdomains
MAN5DIR = $(DESTDIR)/usr/share/man/man5
MAN8DIR = $(DESTDIR)/usr/share/man/man8
SYSVINIT  = $(DESTDIR)/etc/init.d/blockdomains
SYSTEMDINIT = $(DESTDIR)/usr/lib/systemd/system/blockdomains.service

install: $(addprefix $(SBINDIR)/,$(SBINFILES))
install: $(addprefix $(BINDIR)/,$(BINFILES))
install: $(addprefix $(MAN5DIR)/,$(filter %.5,$(MANFILES)))
install: $(addprefix $(MAN8DIR)/,$(filter %.8,$(MANFILES)))
install: $(addprefix $(CFGTOP)/,$(CFGDIRS))
install: $(SYSVINIT) $(SYSTEMDINIT)

$(SYSVINIT): init/blockdomains
	install -D $< $@

$(SYSTEMDINIT): init/blockdomains.service
	install -m 644 -D $< $@

$(CFGTOP)/%/:
	mkdir -p $@

$(SBINDIR)/%: %
	install -D $< $@
$(BINDIR)/%: %
	install -D $< $@
$(MAN5DIR)/%: %
	install -m 644 -D $< $@
$(MAN8DIR)/%: %
	install -m 644 -D $< $@

# Cleaning up

clean:
	rm -f $(SBINFILES) $(MANFILES)

=== debian/changelog ===
blockdomains (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1098487)

 -- Ralph Ronnquist <rrq@rrq.au>  Tue, 18 Feb 2025 10:40:54 +1100

=== debian/control ===
Source: blockdomains
Section: net
Priority: optional
Maintainer: Ralph Ronnquist <rrq@rrq.au>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libnetfilter-queue-dev, asciidoctor
Standards-Version: 4.7.2
Homepage: https://git.rrq.au/rrq/blockdomains.git
#Vcs-Browser:
#Vcs-Git:

Package: blockdomains
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, iptables
Description: Firewall agent blocking selected HTTP and SSL connections
 The blockdomains utility is a block list based network traffic filter
 for iptables via libnetfilter-queue. It applies to HTTP and SSL
 traffic for recognizing and dropping packets that are directed to
 listed domain names.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installinit:
	dh_installinit -p blockdomains --only-scripts
